package com.tanpu.community.api.beans.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description 课程包列表信息
 * @Author wangyalei
 * @Date 2021/4/13 11:25
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@ApiModel
@AllArgsConstructor
@NoArgsConstructor
public class CoursePackageSimpleResp extends Price {
    @ApiModelProperty("课程包Id")
    private String coursePackageId;
    @ApiModelProperty("课程包标题")
    private String coursePackageMainTitle;
    @ApiModelProperty("课程包简介(副标题)")
    private String coursePackageTwoTitle;

    /**
     * 1:普通课程包 2:定期更新系列课程
     */
    @ApiModelProperty("课程包类型 1:普通课程包 2:定期更新系列课程")
    private Integer type;

    @ApiModelProperty("是否引用讲师头像 0否 1是；bgStatus=0时，直接展示squareImg；bgStatus=1时，将squareImg与bgImg叠加展示")
    private Integer bgStatus;
    @ApiModelProperty("方图")
    private String squareImg;
    @ApiModelProperty("背景图地址")
    private String bgImg;

    @ApiModelProperty("长图 仅系列课用")
    private String lengthImg;

    @ApiModelProperty("总期数")
    private Integer totalNum;
    @ApiModelProperty("学习人数")
    private Integer readNum;
}
