package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="wx_cp_user")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "wx_cp_user")
public class WxCpUser {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value="主键")
    private Long id;

    /**
     * 成员UserID。对应管理端的帐号
     */
    @TableField(value = "user_id")
    @ApiModelProperty(value="成员UserID。对应管理端的帐号")
    private String userId;

    /**
     * 成员名称
     */
    @TableField(value = "`name`")
    @ApiModelProperty(value="成员名称")
    private String name;

    /**
     * 手机号码
     */
    @TableField(value = "mobile")
    @ApiModelProperty(value="手机号码")
    private String mobile;

    /**
     * 成员所属部门id列表
     */
    @TableField(value = "department")
    @ApiModelProperty(value="成员所属部门id列表")
    private String department;

    /**
     * 部门内的排序值，默认为0。数量必须和department一致，数值越大排序越前面。值范围是[0, 2^32)
     */
    @TableField(value = "`order`")
    @ApiModelProperty(value="部门内的排序值，默认为0。数量必须和department一致，数值越大排序越前面。值范围是[0, 2^32)")
    private String order;

    /**
     * 职务信息
     */
    @TableField(value = "`position`")
    @ApiModelProperty(value="职务信息")
    private String position;

    /**
     * 0表示未定义，1表示男性，2表示女性
     */
    @TableField(value = "gender")
    @ApiModelProperty(value="0表示未定义，1表示男性，2表示女性")
    private Integer gender;

    /**
     * 邮箱
     */
    @TableField(value = "email")
    @ApiModelProperty(value="邮箱")
    private String email;

    /**
     * 表示在所在的部门内是否为部门负责人，数量与department一致
     */
    @TableField(value = "is_leader_in_dept")
    @ApiModelProperty(value="表示在所在的部门内是否为部门负责人，数量与department一致")
    private String isLeaderInDept;

    /**
     * 头像url
     */
    @TableField(value = "avatar")
    @ApiModelProperty(value="头像url")
    private String avatar;

    /**
     * 头像缩略图url
     */
    @TableField(value = "thumb_avatar")
    @ApiModelProperty(value="头像缩略图url")
    private String thumbAvatar;

    /**
     * 激活状态: 1=已激活，2=已禁用，4=未激活，5=退出企业
     */
    @TableField(value = "`status`")
    @ApiModelProperty(value="激活状态: 1=已激活，2=已禁用，4=未激活，5=退出企业")
    private Integer status;

    /**
     * 员工个人二维码，扫描可添加为外部联系人
     */
    @TableField(value = "qr_code")
    @ApiModelProperty(value="员工个人二维码，扫描可添加为外部联系人")
    private String qrCode;

    /**
     * 地址
     */
    @TableField(value = "address")
    @ApiModelProperty(value="地址")
    private String address;

    /**
     * 主部门
     */
    @TableField(value = "main_department")
    @ApiModelProperty(value="主部门")
    private Long mainDepartment;

    /**
     * 删除标识
     */
    @TableField(value = "delete_tag")
    @ApiModelProperty(value="删除标识")
    private Integer deleteTag;

    public static final String COL_ID = "id";

    public static final String COL_USER_ID = "user_id";

    public static final String COL_NAME = "name";

    public static final String COL_MOBILE = "mobile";

    public static final String COL_DEPARTMENT = "department";

    public static final String COL_ORDER = "order";

    public static final String COL_POSITION = "position";

    public static final String COL_GENDER = "gender";

    public static final String COL_EMAIL = "email";

    public static final String COL_IS_LEADER_IN_DEPT = "is_leader_in_dept";

    public static final String COL_AVATAR = "avatar";

    public static final String COL_THUMB_AVATAR = "thumb_avatar";

    public static final String COL_STATUS = "status";

    public static final String COL_QR_CODE = "qr_code";

    public static final String COL_ADDRESS = "address";

    public static final String COL_MAIN_DEPARTMENT = "main_department";

    public static final String COL_DELETE_TAG = "delete_tag";
}